diff -drupN pidgin-sipe-1.11.2/src/purple/purple-dnsquery.c pidgin-sipe-1.11.2-new/src/purple/purple-dnsquery.c
--- pidgin-sipe-1.11.2/src/purple/purple-dnsquery.c	2010-11-03 05:13:51.000000000 +0100
+++ pidgin-sipe-1.11.2-new/src/purple/purple-dnsquery.c	2011-06-11 00:14:57.000000000 +0200
@@ -22,6 +22,10 @@
 
 #include "glib.h"
 
+#include "version.h"
+#if PURPLE_VERSION_CHECK(2,8,0)
+#include "account.h"
+#endif
 #include "dnssrv.h"
 
 #include "sipe-backend.h"
diff -drupN pidgin-sipe-1.11.2/src/purple/purple-plugin.c pidgin-sipe-1.11.2-new/src/purple/purple-plugin.c
--- pidgin-sipe-1.11.2/src/purple/purple-plugin.c	2010-11-03 05:13:51.000000000 +0100
+++ pidgin-sipe-1.11.2-new/src/purple/purple-plugin.c	2011-06-10 23:58:20.000000000 +0200
@@ -506,6 +506,10 @@ static PurplePluginProtocolInfo prpl_inf
 	NULL,					/* get_moods */
 	NULL,					/* set_public_alias */
 	NULL,					/* get_public_alias */
+#if PURPLE_VERSION_CHECK(2,8,0)
+	NULL,					/* add_buddy_with_invite */
+	NULL,					/* add_buddies_with_invite */
+#endif
 #endif
 #endif
 #endif
diff -drupN pidgin-sipe-1.11.2/src/purple/purple-private.h pidgin-sipe-1.11.2-new/src/purple/purple-private.h
--- pidgin-sipe-1.11.2/src/purple/purple-private.h	2010-11-03 05:13:51.000000000 +0100
+++ pidgin-sipe-1.11.2-new/src/purple/purple-private.h	2011-06-11 00:14:49.000000000 +0200
@@ -20,18 +20,28 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
+#include "version.h"
+
 /* Forward declarations */
 struct sipe_core_public;
 struct _PurpleAccount;
 struct _PurpleConnection;
+#if PURPLE_VERSION_CHECK(2,8,0)
+struct _PurpleSrvTxtQueryData;
+#else
 struct _PurpleSrvQueryData;
+#endif
 struct _PurpleXfer;
 
 struct sipe_backend_private {
 	struct sipe_core_public *public;
 	struct _PurpleConnection *gc;
 	struct _PurpleAccount *account;
+#if PURPLE_VERSION_CHECK(2,8,0)
+	struct _PurpleSrvTxtQueryData *dns_query;
+#else
 	struct _PurpleSrvQueryData *dns_query;
+#endif
 	time_t last_keepalive;
 };
 
